Subject: Improvements to buildGo

From: Ali Abrar <[email-masked]>
Date: Tue, 14 Oct 2025 01:17:13 +0000

Hi there,

I'm using buildGo and I have some patches that I'd like to submit upstream. The first, and most important, is adding support for embed configuration.

-embedcfg file
      Read go:embed configuration from file.
      This is required if any //go:embed directives are used.
      The file is a JSON file mapping patterns to lists of filenames
      and filenames to full path names.

I have added support for this on my fork and would be happy to contribute it.

I also have added a good number of go packages under third_party/gopkgs, but I'm not sure if you actually want that to become a big library of packages or if they are better placed elsewhere.

Last, I'm wondering if you had any thoughts on spinning up development environments for go packages that are packaged with buildGo.  If you've already got something in this vein that works, I'd love to borrow your ideas. Otherwise, I'd be happy to share what I come up with.

Thanks,
Ali

Ali Abrar

Partner, Obsidian Systems

(888) 611-7759 x102

[email-masked]

https://obsidian.systems